You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 
 

6756 lines
256 KiB

;;; GNU Guix --- Functional package management for GNU
;;; Copyright © 2013, 2015 Andreas Enge <andreas@enge.fr>
;;; Copyright © 2014, 2015, 2016, 2017 Ludovic Courtès <ludo@gnu.org>
;;; Copyright © 2014 Ian Denhardt <ian@zenhack.net>
;;; Copyright © 2014, 2016 Eric Bavier <bavier@member.fsf.org>
;;; Copyright © 2014, 2015 Federico Beffa <beffa@fbengineering.ch>
;;; Copyright © 2015, 2016 Sou Bunnbu <iyzsong@gmail.com>
;;; Copyright © 2015 Mathieu Lirzin <mthl@openmailbox.org>
;;; Copyright © 2015, 2017 Andy Wingo <wingo@igalia.com>
;;; Copyright © 2015 David Hashe <david.hashe@dhashe.com>
;;; Copyright © 2015, 2016, 2017 Ricardo Wurmus <rekado@elephly.net>
;;; Copyright © 2015, 2016, 2017 Mark H Weaver <mhw@netris.org>
;;; Copyright © 2015 David Thompson <davet@gnu.org>
;;; Copyright © 2015, 2016, 2017 Efraim Flashner <efraim@flashner.co.il>
;;; Copyright © 2016, 2017 Rene Saavedra <rennes@openmailbox.org>
;;; Copyright © 2016 Jochem Raat <jchmrt@riseup.net>
;;; Copyright © 2016, 2017 Kei Kebreau <kkebreau@posteo.net>
;;; Copyright © 2016 Jan Nieuwenhuizen <janneke@gnu.org>
;;; Copyright © 2016 Roel Janssen <roel@gnu.org>
;;; Copyright © 2016 Leo Famulari <leo@famulari.name>
;;; Copyright © 2016 Alex Griffin <a@ajgrf.com>
;;; Copyright © 2016 ng0 <ng0@we.make.ritual.n0.is>
;;; Copyright © 2016 David Craven <david@craven.ch>
;;; Copyright © 2016, 2017 Tobias Geerinckx-Rice <me@tobias.gr>
;;; Copyright © 2017 Thomas Danckaert <post@thomasdanckaert.be>
;;; Copyright © 2017 Hartmut Goebel <h.goebel@crazy-compilers.com>
;;; Copyright © 2017 nee <nee-git@hidamari.blue>
;;; Copyright © 2017 Chris Marusich <cmmarusich@gmail.com>
;;;
;;; This file is part of GNU Guix.
;;;
;;; GNU Guix is free software; you can redistribute it and/or modify it
;;; under the terms of the GNU General Public License as published by
;;; the Free Software Foundation; either version 3 of the License, or (at
;;; your option) any later version.
;;;
;;; GNU Guix is distributed in the hope that it will be useful, but
;;; WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with GNU Guix. If not, see <http://www.gnu.org/licenses/>.
(define-module (gnu packages gnome)
#:use-module ((guix licenses) #:prefix license:)
#:use-module (guix packages)
#:use-module (guix download)
#:use-module (guix git-download)
#:use-module (guix utils)
#:use-module (guix build-system cmake)
#:use-module (guix build-system gnu)
#:use-module (guix build-system glib-or-gtk)
#:use-module (guix build-system trivial)
#:use-module (gnu packages)
#:use-module (gnu packages admin)
#:use-module (gnu packages aspell)
#:use-module (gnu packages autotools)
#:use-module (gnu packages avahi)
#:use-module (gnu packages base)
#:use-module (gnu packages bison)
#:use-module (gnu packages build-tools)
#:use-module (gnu packages calendar)
#:use-module (gnu packages check)
#:use-module (gnu packages cmake)
#:use-module (gnu packages cups)
#:use-module (gnu packages curl)
#:use-module (gnu packages cyrus-sasl)
#:use-module (gnu packages databases)
#:use-module (gnu packages djvu)
#:use-module (gnu packages dns)
#:use-module (gnu packages documentation)
#:use-module (gnu packages flex)
#:use-module (gnu packages docbook)
#:use-module (gnu packages enchant)
#:use-module (gnu packages fontutils)
#:use-module (gnu packages game-development)
#:use-module (gnu packages gettext)
#:use-module (gnu packages glib)
#:use-module (gnu packages gnupg)
#:use-module (gnu packages gnuzilla)
#:use-module (gnu packages gstreamer)
#:use-module (gnu packages gtk)
#:use-module (gnu packages gperf)
#:use-module (gnu packages guile)
#:use-module (gnu packages openldap)
#:use-module (gnu packages pdf)
#:use-module (gnu packages polkit)
#:use-module (gnu packages popt)
#:use-module (gnu packages ghostscript)
#:use-module (gnu packages ibus)
#:use-module (gnu packages iso-codes)
#:use-module (gnu packages libcanberra)
#:use-module (gnu packages libunistring)
#:use-module (gnu packages linux)
#:use-module (gnu packages libusb)
#:use-module (gnu packages lirc)
#:use-module (gnu packages lua)
#:use-module (gnu packages image)
#:use-module (gnu packages imagemagick)
#:use-module (gnu packages music)
#:use-module (gnu packages networking)
#:use-module (gnu packages ninja)
#:use-module (gnu packages password-utils)
#:use-module (gnu packages pcre)
#:use-module (gnu packages perl)
#:use-module (gnu packages photo)
#:use-module (gnu packages pkg-config)
#:use-module (gnu packages pulseaudio)
#:use-module (gnu packages python)
#:use-module (gnu packages rdesktop)
#:use-module (gnu packages scanner)
#:use-module (gnu packages selinux)
#:use-module (gnu packages slang)
#:use-module (gnu packages ssh)
#:use-module (gnu packages xml)
#:use-module (gnu packages gl)
#:use-module (gnu packages compression)
#:use-module (gnu packages spice)
#:use-module (gnu packages tex)
#:use-module (gnu packages tls)
#:use-module (gnu packages web)
#:use-module (gnu packages webkit)
#:use-module (gnu packages xiph)
#:use-module (gnu packages xorg)
#:use-module (gnu packages xdisorg)
#:use-module (gnu packages freedesktop)
#:use-module (gnu packages mail)
#:use-module (gnu packages kerberos)
#:use-module (gnu packages multiprecision)
#:use-module (gnu packages backup)
#:use-module (gnu packages nettle)
#:use-module (gnu packages ncurses)
#:use-module (gnu packages video)
#:use-module (gnu packages cdrom)
#:use-module (gnu packages samba)
#:use-module (gnu packages readline)
#:use-module (gnu packages fonts)
#:use-module (gnu packages speech)
#:use-module (gnu packages virtualization)
#:use-module (srfi srfi-1))
(define-public brasero
(package
(name "brasero")
(version "3.12.2")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"0h90y674j26rvjahb8cc0w79zx477rb6zaqcj26wzvq8kmpic8k8"))))
(build-system glib-or-gtk-build-system)
(arguments
`(#:configure-flags (list
(string-append "--with-girdir="
(assoc-ref %outputs "out")
"/share/gir-1.0")
(string-append "--with-typelibdir="
(assoc-ref %outputs "out")
"/lib/girepository-1.0"))
#:phases
(modify-phases %standard-phases
(add-before 'configure 'embed-growisofs
(lambda* (#:key inputs #:allow-other-keys)
(substitute* "plugins/growisofs/burn-growisofs.c"
(("\"growisofs") (string-append "\"" (which "growisofs"))))
#t)))))
(propagated-inputs
`(("hicolor-icon-theme" ,hicolor-icon-theme)))
(native-inputs
`(("intltool" ,intltool)
("glib" ,glib "bin") ; glib-compile-schemas, etc.
("gobject-introspection" ,gobject-introspection)
("pkg-config" ,pkg-config)))
(inputs
`(("dvd+rw-tools" ,dvd+rw-tools)
("glib" ,glib)
("gnome-doc-utils" ,gnome-doc-utils)
("gstreamer" ,gstreamer)
("gst-plugins-base" ,gst-plugins-base)
("gtk+" ,gtk+)
("itstool" ,itstool)
("libcanberra" ,libcanberra)
("libice" ,libice)
("libnotify" ,libnotify)
("libsm" ,libsm)
("libxml2" ,libxml2)
("nettle" ,nettle)
("totem-pl-parser" ,totem-pl-parser)))
(home-page "https://projects.gnome.org/brasero/")
(synopsis "CD/DVD burning tool for Gnome")
(description "Brasero is an application to burn CD/DVD for the Gnome
Desktop. It is designed to be as simple as possible and has some unique
features to enable users to create their discs easily and quickly.")
(license license:gpl2+)))
(define-public deja-dup
(package
(name "deja-dup")
(version "34.3")
(source (origin
(method url-fetch)
(uri "https://launchpadlibrarian.net/295170991/deja-dup-34.3.tar.xz")
(sha256
(base32
"1xqcr61hpbahbla7gdjn4ngjfz7w6f57y7f5pkb77yk05f60j2n9"))
(patches
(search-patches "deja-dup-use-ref-keyword-for-iter.patch"))))
(build-system glib-or-gtk-build-system)
(arguments
`(#:modules ((guix build gnu-build-system)
((guix build cmake-build-system) #:prefix cmake:)
(guix build glib-or-gtk-build-system)
(guix build utils))
#:imported-modules (,@%glib-or-gtk-build-system-modules
(guix build cmake-build-system))
#:test-target "test"
#:configure-flags (list (string-append
"-DCMAKE_INSTALL_FULL_DATADIR=" %output)
(string-append
"-DCMAKE_INSTALL_LIBEXECDIR=" %output))
#:phases
(modify-phases %standard-phases
(add-after 'unpack 'patch-lockfile-deletion
(lambda rest
(substitute* "libdeja/tools/duplicity/DuplicityInstance.vala"
(("/bin/rm")
(which "rm")))))
(replace 'configure
(assoc-ref cmake:%standard-phases 'configure))
(delete 'check) ;; Fails due to issues with DBus
(add-after 'install 'wrap-deja-dup
(lambda* (#:key inputs outputs #:allow-other-keys)
(let ((python (assoc-ref inputs "python"))
(python-path (getenv "PYTHONPATH"))
(duplicity (assoc-ref inputs "duplicity"))
(out (assoc-ref outputs "out")))
(for-each
(lambda (program)
(wrap-program program
`("PATH" ":" prefix (,(string-append python "/bin")
,(string-append duplicity "/bin"))))
(wrap-program program
`("PYTHONPATH" ":" prefix (,python-path))))
(find-files (string-append out "/bin")))
#t))))))
(inputs
`(("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
("gobject-introspection" ,gobject-introspection)
("duplicity" ,duplicity)
("python" ,python2-minimal)
("python-pygobject" ,python2-pygobject)
("gtk+" ,gtk+)
("libnotify" ,libnotify)
("libpeas" ,libpeas)
("libsecret" ,libsecret)
("packagekit" ,packagekit)))
(native-inputs
`(("pkg-config" ,pkg-config)
("vala" ,vala)
("gettext" ,gettext-minimal)
("itstool" ,itstool)
("intltool" ,intltool)
("cmake", cmake)))
(home-page "https://launchpad.net/deja-dup")
(synopsis "Simple backup tool, for regular encrypted backups")
(description
"Déjà Dup is a simple backup tool, for regular encrypted backups. It
uses duplicity as the backend, which supports incremental backups and storage
either on a local, or remote machine via a number of methods.")
(license license:gpl3+)))
(define-public dia
;; This version from GNOME's repository includes fixes for compiling with
;; recent versions of the build tools. The latest activity on the
;; pre-GNOME version has been in 2014, while GNOME has continued applying
;; fixes in 2016.
(let ((commit "fbc306168edab63db80b904956117cbbdc514ee4"))
(package
(name "dia")
(version (string-append "0.97.2-" (string-take commit 7)))
(source (origin
(method git-fetch)
(uri (git-reference
(url "https://git.gnome.org/browse/dia")
(commit commit)))
(file-name (string-append name "-" version "-checkout"))
(sha256
(base32
"1b4bba0k8ph4cwgw8xjglss0p6n111bpd5app67lrq79mp0ad06l"))))
(build-system gnu-build-system)
(inputs
`(("glib" ,glib "bin")
("pango" ,pango)
("gdk-pixbuf" ,gdk-pixbuf)
("gtk+" ,gtk+-2)
("libxml2" ,libxml2)
("freetype" ,freetype)
("libart-lgpl" ,libart-lgpl)))
(native-inputs
`(("intltool" ,intltool)
("pkg-config" ,pkg-config)
("automake" ,automake)
("autoconf" ,autoconf)
("libtool" ,libtool)
("perl" ,perl)
("python-wrapper" ,python-wrapper)))
(arguments
`(#:phases
(modify-phases %standard-phases
(add-before 'configure 'run-autogen
(lambda _
(system* "sh" "autogen.sh"))))))
(home-page "https://wiki.gnome.org/Apps/Dia")
(synopsis "Diagram creation for GNOME")
(description "Dia can be used to draw different types of diagrams, and
includes support for UML static structure diagrams (class diagrams), entity
relationship modeling, and network diagrams. The program supports various file
formats like PNG, SVG, PDF and EPS.")
(license license:gpl2+))))
(define-public libgdata
(package
(name "libgdata")
(version "0.16.1")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"09q8h1129xjpw33rvzz7856drygxwlm0s64z9cm0vbmjxiqy0h47"))
(patches
(search-patches "libgdata-fix-tests.patch"
"libgdata-glib-duplicate-tests.patch"))))
(build-system gnu-build-system)
(arguments
'(#:phases
(modify-phases %standard-phases
(add-before 'check 'use-empty-ssl-cert-file
(lambda _
;; The ca-certificates.crt is not available in the build
;; environment.
(setenv "SSL_CERT_FILE" "/dev/null")
#t))
(add-before 'check 'disable-failing-tests
(lambda _
;; The PicasaWeb API tests fail with gnome-online-accounts@3.24.2.
;; They have been removed in libgdata 0.17.6, so just do the same.
(substitute* "gdata/tests/Makefile"
(("picasaweb\\$\\(EXEEXT\\) ") ""))
#t)))))
(native-inputs
`(("glib:bin" ,glib "bin")
("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
("intltool" ,intltool)
("pkg-config" ,pkg-config)
("uhttpmock" ,uhttpmock)))
(inputs
`(("cyrus-sasl" ,cyrus-sasl)
("glib" ,glib)
("glib-networking" ,glib-networking)
("json-glib" ,json-glib)
("libsoup" ,libsoup)))
(propagated-inputs
`(("gcr" ,gcr)
("gnome-online-accounts" ,gnome-online-accounts)
("liboauth" ,liboauth)
("libxml2" ,libxml2)))
(home-page "https://wiki.gnome.org/Projects/libgdata")
(synopsis "Library for accessing online service APIs")
(description
"libgdata is a GLib-based library for accessing online service APIs using
the GData protocol — most notably, Google's services. It provides APIs to
access the common Google services, and has full asynchronous support.")
(license license:lgpl2.1+)))
(define-public libgxps
(package
(name "libgxps")
(version "0.2.5")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"184r06s8g20cfigg7m169n42jjsc9wmzzlycr4g1fxxhr72r8x9y"))))
(build-system gnu-build-system)
(native-inputs
`(("gobject-introspection" ,gobject-introspection)
("pkg-config" ,pkg-config)))
(inputs
`(("cairo" ,cairo)
("glib" ,glib)
("libarchive" ,libarchive)
("libjpeg" ,libjpeg)
("lcms" ,lcms)
("libtiff" ,libtiff)
("nettle" ,nettle)))
(home-page "https://wiki.gnome.org/Projects/libgxps")
(synopsis "GObject-based library for handling and rendering XPS documents")
(description
"libgxps is a GObject-based library for handling and rendering XPS
documents. This package also contains binaries that can convert XPS documents
to other formats.")
(license license:lgpl2.1+)))
(define-public gnome-common
(package
(name "gnome-common")
(version "3.18.0")
(source
(origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"1kzqi8qvh5p1zncj8msazlmvcwsczjz2hqxp4x2y0mg718vrwmi2"))))
(build-system gnu-build-system)
(home-page "https://www.gnome.org/")
(synopsis "Bootstrap GNOME modules built from Git")
(description "gnome-common contains various files needed to bootstrap
GNOME modules built from Git. It contains a common \"autogen.sh\" script that
can be used to configure a source directory checked out from Git and some
commonly used macros.")
(license license:gpl2+)))
(define-public gnome-desktop
(package
(name "gnome-desktop")
(version "3.24.2")
(source
(origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"0pkq5l1llw8gkjhfq6y58iyj6wac8dh1mc3rzjzn6nd7lrkdx8cg"))))
(build-system gnu-build-system)
(native-inputs
`(("gobject-introspection" ,gobject-introspection)
("itstool" ,itstool)
("intltool" ,intltool)
("pkg-config" ,pkg-config)
("xmllint" ,libxml2)))
(propagated-inputs
;; Required by gnome-desktop-3.0.pc.
`(("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
("gtk+" ,gtk+)))
(inputs
`(("gdk-pixbuf" ,gdk-pixbuf)
("glib" ,glib)
("iso-codes" ,iso-codes)
("libx11" ,libx11)
("libxext" ,libxext)
("libxkbfile" ,libxkbfile)
("libxrandr" ,libxrandr)
("xkeyboard-config" ,xkeyboard-config)))
(home-page "https://www.gnome.org/")
(synopsis
"Libgnome-desktop, gnome-about, and desktop-wide documents")
(description
"The libgnome-desktop library provides API shared by several applications
on the desktop, but that cannot live in the platform for various reasons.
There is no API or ABI guarantee, although we are doing our best to provide
stability. Documentation for the API is available with gtk-doc.
The gnome-about program helps find which version of GNOME is installed.")
; Some bits under the LGPL.
(license license:gpl2+)))
(define-public gnome-doc-utils
(package
(name "gnome-doc-utils")
(version "0.20.10")
(source
(origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"19n4x25ndzngaciiyd8dd6s2mf9gv6nv3wv27ggns2smm7zkj1nb"))))
(build-system gnu-build-system)
(native-inputs
`(("intltool" ,intltool)
("docbook-xml" ,docbook-xml-4.4)
("python2-libxml2" ,python2-libxml2)
("libxml2" ,libxml2)
("libxslt" ,libxslt)
("pkg-config" ,pkg-config)
("python-2" ,python-2)))
(home-page "https://wiki.gnome.org/GnomeDocUtils")
(synopsis
"Documentation utilities for the Gnome project")
(description
"Gnome-doc-utils is a collection of documentation utilities for the
Gnome project. It includes xml2po tool which makes it easier to translate
and keep up to date translations of documentation.")
(license license:gpl2+))) ; xslt under lgpl
(define-public gnome-disk-utility
(package
(name "gnome-disk-utility")
(version "3.24.1")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"18akarcbhm8djlmz49jzavc7qx8dg71gvxc9xd23p0bwjj4h93w7"))))
(build-system gnu-build-system)
(native-inputs
`(("glib:bin" ,glib "bin")
("intltool" ,intltool)
("pkg-config" ,pkg-config)
("docbook-xml" ,docbook-xml)
("docbook-xsl" ,docbook-xsl)
("libxml2" ,libxml2)
("libxslt" ,libxslt)))
(inputs
`(("glib" ,glib)
("appstream-glib" ,appstream-glib)
("gnome-settings-daemon" ,gnome-settings-daemon)
("gtk+" ,gtk+)
("libcanberra" ,libcanberra)
("libdvdread" ,libdvdread)
("libnotify" ,libnotify)
("libpwquality" ,libpwquality)
("libsecret" ,libsecret)
("udisks" ,udisks)))
(home-page "https://git.gnome.org/browse/gnome-disk-utility")
(synopsis "Disk management utility for GNOME")
(description "Disk management utility for GNOME.")
(license license:gpl2+)))
(define-public gcr
(package
(name "gcr")
(version "3.20.0")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"0ydk9dzxx6snxza7j5ps8x932hbr3x1b8hhcaqjq4w4admi2qmwh"))
(patches
(search-patches "gcr-disable-failing-tests.patch"
"gcr-fix-collection-tests-to-work-with-gpg-21.patch"))))
(build-system gnu-build-system)
(arguments
'(#:phases (modify-phases %standard-phases
(add-before
'check 'pre-check
(lambda* (#:key inputs #:allow-other-keys)
(substitute* "build/tap-driver"
(("/usr/bin/env python") (which "python"))))))))
(inputs
`(("dbus" ,dbus)
("gnupg" ,gnupg) ;called as a child process during tests
("libgcrypt" ,libgcrypt)))
(native-inputs
`(("python" ,python-2) ;for tests
("pkg-config" ,pkg-config)
("glib" ,glib "bin")
("gobject-introspection" ,gobject-introspection)
("intltool" ,intltool)
("xsltproc" ,libxslt)))
;; mentioned in gck.pc, gcr.pc and gcr-ui.pc
(propagated-inputs
`(("p11-kit" ,p11-kit)
("glib" ,glib)
("gtk+" ,gtk+)))
(home-page "https://www.gnome.org")
(synopsis "Libraries for displaying certificates and accessing key stores")
(description
"The GCR package contains libraries used for displaying certificates and
accessing key stores. It also provides the viewer for crypto files on the
GNOME Desktop.")
(license license:lgpl2.1+)))
(define-public libgnome-keyring
(package
(name "libgnome-keyring")
(version "3.12.0")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"10vpjhgbjm7z2djy04qakd02qlzpd02xnbfjhk2aqwjzn3xpihf4"))))
(build-system gnu-build-system)
(inputs
`(("libgcrypt" ,libgcrypt)
("dbus" ,dbus)))
(native-inputs
`(("pkg-config" ,pkg-config)
("glib" ,glib "bin")
("intltool" ,intltool)))
(propagated-inputs
;; Referred to in .h files and .pc.
`(("glib" ,glib)))
(home-page "https://www.gnome.org")
(synopsis "Accessing passwords from the GNOME keyring")
(description
"Client library to access passwords from the GNOME keyring.")
;; Though a couple of files are LGPLv2.1+.
(license license:lgpl2.0+)))
(define-public gnome-keyring
(package
(name "gnome-keyring")
(version "3.20.1")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"134ci3mn6jjap59z3lrvyiip7zf2nlw5xvanr44yajs57xr4x5lp"))))
(build-system gnu-build-system)
(arguments
`(#:tests? #f ;48 of 603 tests fail because /var/lib/dbus/machine-id does
;not exist
#:configure-flags
(list
(string-append "--with-pkcs11-config="
(assoc-ref %outputs "out") "/share/p11-kit/modules/")
(string-append "--with-pkcs11-modules="
(assoc-ref %outputs "out") "/share/p11-kit/modules/"))
#:phases
(modify-phases %standard-phases
(add-before
'check 'pre-check
(lambda* (#:key inputs #:allow-other-keys)
(substitute* "build/tap-driver"
(("/usr/bin/env python") (which "python")))))
(add-before
'configure 'fix-docbook
(lambda* (#:key inputs #:allow-other-keys)
(substitute* "docs/Makefile.am"
(("http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl")
(string-append (assoc-ref inputs "docbook-xsl")
"/xml/xsl/docbook-xsl-"
,(package-version docbook-xsl)
"/manpages/docbook.xsl")))
(setenv "XML_CATALOG_FILES"
(string-append (assoc-ref inputs "docbook-xml")
"/xml/dtd/docbook/catalog.xml")))))))
(inputs
`(("libgcrypt" ,libgcrypt)
("linux-pam" ,linux-pam)
("dbus" ,dbus)
("gcr" ,gcr)))
(native-inputs
`(("pkg-config" ,pkg-config)
("glib" ,glib "bin")
("python" ,python-2) ;for tests
("intltool" ,intltool)
("autoconf" ,autoconf)
("automake" ,automake)
("libxslt" ,libxslt) ;for documentation
("docbook-xml" ,docbook-xml-4.2)
("docbook-xsl" ,docbook-xsl)))
(home-page "https://www.gnome.org")
(synopsis "Daemon to store passwords and encryption keys")
(description
"gnome-keyring is a program that keeps passwords and other secrets for
users. It is run as a daemon in the session, similar to ssh-agent, and other
applications locate it via an environment variable or D-Bus.
The program can manage several keyrings, each with its own master password,
and there is also a session keyring which is never stored to disk, but
forgotten when the session ends.")
(license license:lgpl2.1+)))
(define-public evince
(package
(name "evince")
(version "3.24.1")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"0dqgzwxl0xfr341r5i8j8hn6j6rhv62lmc6xbzjppcq76hhwb84w"))))
(build-system glib-or-gtk-build-system)
(arguments
`(#:configure-flags '("--disable-nautilus")
#:phases
(modify-phases %standard-phases
(add-before 'install 'skip-gtk-update-icon-cache
;; Don't create 'icon-theme.cache'.
(lambda _
(substitute* "data/Makefile"
(("gtk-update-icon-cache") "true"))
#t)))))
(inputs
`(("libarchive" ,libarchive)
("libgxps" ,libgxps)
("libspectre" ,libspectre)
("djvulibre" ,djvulibre)
("ghostscript" ,ghostscript)
("poppler" ,poppler)
("libtiff" ,libtiff)
;; TODO:
;; Build libkpathsea as a shared library for DVI support.
;; ("libkpathsea" ,texlive-bin)
("gnome-desktop" ,gnome-desktop)
("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
("libgnome-keyring" ,libgnome-keyring)
("adwaita-icon-theme" ,adwaita-icon-theme)
("gdk-pixbuf" ,gdk-pixbuf)
("atk" ,atk)
("pango" ,pango)
("gtk+" ,gtk+)
("glib" ,glib)
("libxml2" ,libxml2)
("libsm" ,libsm)
("libice" ,libice)
("shared-mime-info" ,shared-mime-info)
("dconf" ,dconf)
("libcanberra" ,libcanberra)
("libsecret" ,libsecret)
;; For tests.
("dogtail" ,python2-dogtail)))
(native-inputs
`(("itstool" ,itstool)
("intltool" ,intltool)
("glib" ,glib "bin")
("pkg-config" ,pkg-config)
("xmllint" ,libxml2)))
(home-page
"https://www.gnome.org/projects/evince/")
(synopsis "GNOME's document viewer")
(description
"Evince is a document viewer for multiple document formats. It
currently supports PDF, PostScript, DjVu, TIFF and DVI. The goal
of Evince is to replace the multiple document viewers that exist
on the GNOME Desktop with a single simple application.")
(license license:gpl2+)))
(define-public gsettings-desktop-schemas
(package
(name "gsettings-desktop-schemas")
(version "3.24.0")
(source
(origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"145vpcljy4660cnk8zk91qf7ywa7hqfl5hhw025gy8hxcqzklmzn"))))
(build-system gnu-build-system)
(inputs
`(("glib" ,glib)))
(native-inputs
`(("intltool" ,intltool)
("glib" ,glib "bin") ; glib-compile-schemas, etc.
("gobject-introspection" ,gobject-introspection)
("pkg-config" ,pkg-config)))
(home-page "https://launchpad.net/gsettings-desktop-schemas")
(synopsis
"GNOME settings for various desktop components")
(description
"Gsettings-desktop-schemas contains a collection of GSettings schemas
for settings shared by various components of the GNOME desktop.")
(license license:lgpl2.1+)))
(define-public icon-naming-utils
(package
(name "icon-naming-utils")
(version "0.8.90")
(source
(origin
(method url-fetch)
(uri (string-append "https://tango.freedesktop.org/releases/icon-naming-utils-"
version ".tar.bz2"))
(sha256
(base32
"1mc3v28fdfqanx3lqx233vcr4glb4c2376k0kx2v91a4vxwqcdxi"))))
(build-system gnu-build-system)
(inputs
`(("perl" ,perl)
("perl-xml-simple" ,perl-xml-simple)))
(arguments
'(#:phases
(alist-cons-after
'install 'set-load-paths
;; Tell 'icon-name-mapping' where XML::Simple is.
(lambda* (#:key outputs #:allow-other-keys)
(let* ((out (assoc-ref outputs "out"))
(prog (string-append out "/libexec/icon-name-mapping")))
(wrap-program
prog
`("PERL5LIB" = ,(list (getenv "PERL5LIB"))))))
%standard-phases)))
(home-page "http://tango.freedesktop.org/Standard_Icon_Naming_Specification")
(synopsis
"Utility to implement the Freedesktop Icon Naming Specification")
(description
"To help with the transition to the Freedesktop Icon Naming
Specification, the icon naming utility maps the icon names used by the
GNOME and KDE desktops to the icon names proposed in the specification.")
(license license:lgpl2.1+)))
(define-public gnome-icon-theme
(package
(name "gnome-icon-theme")
(version "3.12.0")
(source
(origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"0fjh9qmmgj34zlgxb09231ld7khys562qxbpsjlaplq2j85p57im"))))
(build-system gnu-build-system)
(arguments
'(#:configure-flags
;; Don't create 'icon-theme.cache'.
(let* ((coreutils (assoc-ref %build-inputs "coreutils"))
(true (string-append coreutils "/bin/true")))
(list (string-append "GTK_UPDATE_ICON_CACHE=" true)))))
(native-inputs
`(("icon-naming-utils" ,icon-naming-utils)
("intltool" ,intltool)
("pkg-config" ,pkg-config)))
(home-page "https://art.gnome.org/")
(synopsis
"GNOME icon theme")
(description
"Icons for the GNOME desktop.")
(license license:lgpl3))) ; or Creative Commons BY-SA 3.0
;; gnome-icon-theme was renamed to adwaita-icon-theme after version 3.12.0.
(define-public adwaita-icon-theme
(package (inherit gnome-icon-theme)
(name "adwaita-icon-theme")
(version "3.24.0")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"0ai73gs44yyw276xag6db0rlpvncy23qplp4girm80ilpprrzxyc"))))
(native-inputs
`(("gtk-encode-symbolic-svg" ,gtk+ "bin")))))
(define-public tango-icon-theme
(package
(name "tango-icon-theme")
(version "0.8.90")
(source (origin
(method url-fetch)
(uri (string-append "http://tango.freedesktop.org/releases/"
"tango-icon-theme-" version ".tar.bz2"))
(sha256
(base32
"034r9s944b4yikyfgn602yv7s54wdzlq0qfvqh52b9x6kbx08h79"))))
(build-system gnu-build-system)
(native-inputs
`(("icon-naming-utils" ,icon-naming-utils)
("intltool" ,intltool)
("imagemagick" ,imagemagick)
("pkg-config" ,pkg-config)))
(home-page "http://tango-project.org/")
(synopsis "Tango icon theme")
(description "This is an icon theme that follows the Tango visual
guidelines.")
(license license:public-domain)))
(define-public shared-mime-info
(package
(name "shared-mime-info")
(version "1.8")
(source (origin
(method url-fetch)
(uri (string-append "https://freedesktop.org/~hadess/"
"shared-mime-info-" version ".tar.xz"))
(sha256
(base32
"1sc96lv9dp1lkvs8dh3ngm3hbjb274d363dl9avhb61il3qmxx9a"))))
(build-system gnu-build-system)
(arguments
;; The build system appears not to be parallel-safe.
'(#:parallel-build? #f))
(inputs
`(("glib" ,glib)
("libxml2" ,libxml2)))
(native-inputs
`(("intltool" ,intltool)
("pkg-config" ,pkg-config)))
(home-page "http://freedesktop.org/wiki/Software/shared-mime-info")
(synopsis "Database of common MIME types")
(description
"The shared-mime-info package contains the core database of common types
and the update-mime-database command used to extend it. It requires glib2 to
be installed for building the update command. Additionally, it uses intltool
for translations, though this is only a dependency for the maintainers. This
database is translated at Transifex.")
(license license:gpl2+)))
(define-public hicolor-icon-theme
(package
(name "hicolor-icon-theme")
(version "0.15")
(source
(origin
(method url-fetch)
(uri (string-append "https://icon-theme.freedesktop.org/releases/"
"hicolor-icon-theme-" version ".tar.xz"))
(sha256
(base32
"1k1kf2c5zbqh31nglc3nxs9j6wr083k9kjyql8p22ccc671mmi4w"))))
(build-system gnu-build-system)
(arguments
`(#:tests? #f)) ; no check target
(home-page "http://icon-theme.freedesktop.org/releases/")
(synopsis
"Freedesktop icon theme")
(description
"Freedesktop icon theme.")
(license license:gpl2)))
(define-public libnotify
(package
(name "libnotify")
(version "0.7.7")
(source
(origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"017wgq9n00hx39n0hm784zn18hl721hbaijda868cm96bcqwxd4w"))))
(build-system gnu-build-system)
(inputs
`(("gdk-pixbuf" ,gdk-pixbuf)
("glib" ,glib)
("gtk+" ,gtk+)
("libpng" ,libpng)))
(native-inputs
`(("pkg-config" ,pkg-config)
("glib" ,glib "bin")
("gobject-introspection" ,gobject-introspection)))
(home-page "https://developer-next.gnome.org/libnotify/")
(synopsis
"GNOME desktop notification library")
(description
"Libnotify is a library that sends desktop notifications to a
notification daemon, as defined in the Desktop Notifications spec. These
notifications can be used to inform the user about an event or display
some form of information without getting in the user's way.")
(license license:lgpl2.1+)))
(define-public libpeas
(package
(name "libpeas")
(version "1.20.0")
(source
(origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"0m6k6fcrx40n92nc1cy3z72vs1ja49sb58dj3fjp40605pzgz4pk"))))
(build-system gnu-build-system)
(inputs
`(("gtk+" ,gtk+)
("glade" ,glade3)
("libxml2" ,libxml2) ; XXX: required by gladeui-2.0.pc
("python" ,python)
("python-pygobject" ,python-pygobject)))
(native-inputs
`(("pkg-config" ,pkg-config)
("glib:bin" ,glib "bin")
("gobject-introspection" ,gobject-introspection)
("intltool" ,intltool)))
(propagated-inputs
;; The .pc file "Requires" gobject-introspection.
`(("gobject-introspection" ,gobject-introspection)))
(home-page "https://wiki.gnome.org/Libpeas")
(synopsis "GObject plugin system")
(description
"Libpeas is a gobject-based plugin engine, targeted at giving every
application the chance to assume its own extensibility. It also has a set of
features including, but not limited to: multiple extension points; on-demand
(lazy) programming language support for C, Python and JS; simplicity of the
API.")
(license license:lgpl2.0+)))
(define-public gtkglext
(package
(name "gtkglext")
(version "1.2.0")
(source (origin
(method url-fetch)
(uri (string-append "mirror://sourceforge/gtkglext/gtkglext/"
version "/gtkglext-" version ".tar.gz"))
(sha256
(base32 "1ya4d2j2aacr9ii5zj4ac95fjpdvlm2rg79mgnk7yvl1dcy3y1z5"))
(patches (search-patches
"gtkglext-disable-disable-deprecated.patch"))))
(build-system gnu-build-system)
(inputs `(("gtk+" ,gtk+-2)
("mesa" ,mesa)
("glu" ,glu)
("libx11" ,libx11)
("libxt" ,libxt)))
(native-inputs `(("pkg-config" ,pkg-config)
("glib" ,glib "bin")))
(propagated-inputs `(("pangox-compat" ,pangox-compat)))
(home-page "https://projects.gnome.org/gtkglext")
(synopsis "OpenGL extension to GTK+")
(description "GtkGLExt is an OpenGL extension to GTK+. It provides
additional GDK objects which support OpenGL rendering in GTK+ and GtkWidget
API add-ons to make GTK+ widgets OpenGL-capable.")
(license license:lgpl2.1+)))
(define-public glade3
(package
(name "glade")
(version "3.20.0")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"1zhqvhagy0m85p54jfiayfl0v9af7g0lj7glw8sfwh7cbp56vnc2"))))
(build-system glib-or-gtk-build-system)
(arguments
`(#:tests? #f ; needs X, GL, and software rendering
#:phases
(modify-phases %standard-phases
(add-before 'configure 'fix-docbook
(lambda* (#:key inputs #:allow-other-keys)
(substitute* "man/Makefile.in"
(("http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl")
(string-append (assoc-ref inputs "docbook-xsl")
"/xml/xsl/docbook-xsl-"
,(package-version docbook-xsl)
"/manpages/docbook.xsl")))
#t)))))
(inputs
`(("gtk+" ,gtk+)
("libxml2" ,libxml2)))
(native-inputs
`(("intltool" ,intltool)
("itstool" ,itstool)
("libxslt" ,libxslt) ;for xsltproc
("docbook-xml" ,docbook-xml-4.2)
("docbook-xsl" ,docbook-xsl)
("python" ,python-2)
("pkg-config" ,pkg-config)))
(home-page "https://glade.gnome.org")
(synopsis "GTK+ rapid application development tool")
(description "Glade is a rapid application development (RAD) tool to
enable quick & easy development of user interfaces for the GTK+ toolkit and
the GNOME desktop environment.")
(license license:lgpl2.0+)))
(define-public libcroco
(package
(name "libcroco")
(version "0.6.12")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(patches
(search-patches "libcroco-CVE-2017-7960.patch"
"libcroco-CVE-2017-7961.patch"))
(sha256
(base32
"0q7qhi7z64i26zabg9dbs5706fa8pmzp1qhpa052id4zdiabbi6x"))))
(build-system gnu-build-system)
(native-inputs
`(("pkg-config" ,pkg-config)))
(inputs
`(("glib" ,glib)
("libxml2" ,libxml2)
("zlib" ,zlib)))
(home-page "https://github.com/GNOME/libcroco")
(synopsis "CSS2 parsing and manipulation library")
(description
"Libcroco is a standalone CSS2 parsing and manipulation library.
The parser provides a low level event driven SAC-like API and a CSS object
model like API. Libcroco provides a CSS2 selection engine and an experimental
XML/CSS rendering engine.")
;; LGPLv2.1-only.
(license license:lgpl2.1)))
(define-public libgsf
(package
(name "libgsf")
(version "1.14.41")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"1lq87wnrsjbjafpk3c8xwd56gqx319fhck9xkg2da88hd9c9h2qm"))))
(build-system gnu-build-system)
(native-inputs
`(("intltool" ,intltool)
("pkg-config" ,pkg-config)))
(inputs
`(("python" ,python)
("zlib" ,zlib)
("bzip2" ,bzip2)))
(propagated-inputs
`(("gdk-pixbuf" ,gdk-pixbuf)
("glib" ,glib)
("libxml2" ,libxml2)))
(home-page "https://www.gnome.org/projects/libgsf")
(synopsis "GNOME's Structured File Library")
(description
"Libgsf aims to provide an efficient extensible I/O abstraction for
dealing with different structured file formats.")
;; LGPLv2.1-only.
(license license:lgpl2.1)))
(define-public librsvg
(package
(name "librsvg")
(version "2.40.17")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"1k39gyf7f5m9x0jvpcxvfcqswdb04xhm1lbwbjabn1f4xk5wbxp6"))))
(build-system gnu-build-system)
(arguments
`(#:phases
(alist-cons-before
'configure 'pre-configure
(lambda* (#:key inputs #:allow-other-keys)
(substitute* "gdk-pixbuf-loader/Makefile.in"
;; By default the gdk-pixbuf loader is installed under
;; gdk-pixbuf's prefix. Work around that.
(("gdk_pixbuf_moduledir = .*$")
(string-append "gdk_pixbuf_moduledir = "
"$(prefix)/lib/gdk-pixbuf-2.0/2.10.0/"
"loaders\n"))
;; Drop the 'loaders.cache' file, it's in gdk-pixbuf+svg.
(("gdk_pixbuf_cache_file = .*$")
"gdk_pixbuf_cache_file = $(TMPDIR)/loaders.cache\n")))
%standard-phases)))
(native-inputs
`(("pkg-config" ,pkg-config)
("glib" ,glib "bin") ; glib-mkenums, etc.
("gobject-introspection" ,gobject-introspection))) ; g-ir-compiler, etc.
(inputs
`(("pango" ,pango)
("libcroco" ,libcroco)
("bzip2" ,bzip2)
("libgsf" ,libgsf)
("libxml2" ,libxml2)))
(propagated-inputs
;; librsvg-2.0.pc refers to all of that.
`(("cairo" ,cairo)
("gdk-pixbuf" ,gdk-pixbuf)
("glib" ,glib)))
(home-page "https://wiki.gnome.org/LibRsvg")
(synopsis "Render SVG files using Cairo")
(description
"Librsvg is a C library to render SVG files using the Cairo 2D graphics
library.")
(license license:lgpl2.0+)))
(define-public libidl
(package
(name "libidl")
(version "0.8.14")
(source (origin
(method url-fetch)
(uri (let ((upstream-name "libIDL"))
(string-append "mirror://gnome/sources/" upstream-name "/"
(version-major+minor version) "/"
upstream-name "-" version ".tar.bz2")))
(sha256
(base32
"08129my8s9fbrk0vqvnmx6ph4nid744g5vbwphzkaik51664vln5"))))
(build-system gnu-build-system)
(inputs `(("glib" ,glib)))
(native-inputs
`(("pkg-config" ,pkg-config)
("flex" ,flex)
("bison" ,bison)))
(home-page "http://freecode.com/projects/libidl")
(synopsis "Create trees of CORBA Interface Definition Language files")
(description "Libidl is a library for creating trees of CORBA Interface
Definition Language (idl) files, which is a specification for defining
portable interfaces. libidl was initially written for orbit (the orb from the
GNOME project, and the primary means of libidl distribution). However, the
functionality was designed to be as reusable and portable as possible.")
(license license:lgpl2.0+)))
(define-public orbit2
(package
(name "orbit2")
(version "2.14.19")
(source (origin
(method url-fetch)
(uri (let ((upstream-name "ORBit2"))
(string-append "mirror://gnome/sources/" upstream-name "/"
(version-major+minor version) "/"
upstream-name "-" version ".tar.bz2")))
(sha256
(base32
"0l3mhpyym9m5iz09fz0rgiqxl2ym6kpkwpsp1xrr4aa80nlh1jam"))))
(build-system gnu-build-system)
(arguments
`(#:configure-flags
;; The programmer kindly gives us a hook to turn off deprecation
;; warnings ...
'("DISABLE_DEPRECATED_CFLAGS=-DGLIB_DISABLE_DEPRECATION_WARNINGS")
;; ... which they then completly ignore !!
#:phases
(alist-cons-before
'configure 'ignore-deprecations
(lambda _
(substitute* "linc2/src/Makefile.in"
(("-DG_DISABLE_DEPRECATED") "-DGLIB_DISABLE_DEPRECATION_WARNINGS")))
%standard-phases)))
(inputs `(("glib" ,glib)
("libidl" ,libidl)))
(native-inputs
`(("pkg-config" ,pkg-config)))
(home-page "https://projects.gnome.org/orbit2/")
(synopsis "CORBA 2.4-compliant Object Request Broker")
(description "ORBit2 is a CORBA 2.4-compliant Object Request Broker (orb)
featuring mature C, C++ and Python bindings.")
;; Licence notice is unclear. The Web page simply say "GPL" without giving
;; a version. SOME of the code files have licence notices for GPLv2+.
;; The tarball contains files of the text of GPLv2 and LGPLv2.
(license license:gpl2+)))
(define-public libbonobo
(package
(name "libbonobo")
(version "2.32.1")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version)
"/" name "-" version ".tar.bz2"))
(sha256
(base32 "0swp4kk6x7hy1rvd1f9jba31lvfc6qvafkvbpg9h0r34fzrd8q4i"))
(patches (search-patches
"libbonobo-activation-test-race.patch"))))
(build-system gnu-build-system)
(arguments
;; The programmer kindly gives us a hook to turn off deprecation warnings ...
`(#:configure-flags
'("DISABLE_DEPRECATED_CFLAGS=-DGLIB_DISABLE_DEPRECATION_WARNINGS")
;; ... which they then completly ignore !!
#:phases
(alist-cons-before
'configure 'ignore-deprecations
(lambda _
(substitute* "activation-server/Makefile.in"
(("-DG_DISABLE_DEPRECATED") "-DGLIB_DISABLE_DEPRECATION_WARNINGS")))
%standard-phases)))
(inputs `(("popt" ,popt)
("libxml2" ,libxml2)))
;; The following are Required by the .pc file
(propagated-inputs
`(("glib" ,glib)
("orbit2" ,orbit2)))
(native-inputs
`(("intltool" ,intltool)
("pkg-config" ,pkg-config)
("glib" ,glib "bin") ; for glib-genmarshal, etc.
("flex" ,flex)
("bison" ,bison)))
(home-page "https://developer.gnome.org/libbonobo/")
(synopsis "Framework for creating reusable components for use in GNOME applications")
(description "Bonobo is a framework for creating reusable components for
use in GNOME applications, built on top of CORBA.")
;; Licence not explicitly stated. Source files contain no licence notices.
;; Tarball contains text of both GPLv2 and LGPLv2
;; GPLv2 covers both conditions
(license license:gpl2+)))
(define-public gconf
(package
(name "gconf")
(version "3.2.6")
(source (origin
(method url-fetch)
(uri
(let ((upstream-name "GConf"))
(string-append "mirror://gnome/sources/" upstream-name "/"
(version-major+minor version) "/"
upstream-name "-" version ".tar.xz")))
(sha256
(base32 "0k3q9nh53yhc9qxf1zaicz4sk8p3kzq4ndjdsgpaa2db0ccbj4hr"))))
(build-system gnu-build-system)
(inputs `(("dbus-glib" ,dbus-glib)
("libxml2" ,libxml2)))
(propagated-inputs `(("glib" ,glib) ; referred to in the .pc file
("orbit2" ,orbit2)))
(native-inputs
`(("intltool" ,intltool)
("glib" ,glib "bin") ; for glib-genmarshal, etc.
("pkg-config" ,pkg-config)))
(home-page "https://projects.gnome.org/gconf/")
(synopsis "Store application preferences")
(description "Gconf is a system for storing application preferences. It
is intended for user preferences; not arbitrary data storage.")
(license license:lgpl2.0+)
(properties '((upstream-name . "GConf")))))
(define-public gnome-mime-data
(package
(name "gnome-mime-data")
(version "2.18.0")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.bz2"))
(sha256
(base32
"1mvg8glb2a40yilmyabmb7fkbzlqd3i3d31kbkabqnq86xdnn69p"))))
(build-system gnu-build-system)
(native-inputs
`(("perl" ,perl)
("intltool" ,intltool)))
(arguments
'(#:phases (modify-phases %standard-phases
(add-after 'configure 'use-our-intltool
(lambda _
;; Do not use the bundled intltool commands, which lack
;; the "dotless @INC" fixes of our 'intltool' package.
(substitute* (find-files "." "^Makefile$")
(("^INTLTOOL_(EXTRACT|UPDATE|MERGE) = .*$" _ tool)
(string-append "INTLTOOL_" tool " = intltool-"
(string-downcase tool) "\n")))
#t)))))
(home-page "https://www.gnome.org")
(synopsis "Base MIME and Application database for GNOME")
(description "GNOME Mime Data is a module which contains the base MIME
and Application database for GNOME. The data stored by this module is
designed to be accessed through the MIME functions in GnomeVFS.")
(license license:gpl2+)))
(define-public gnome-vfs
(package
(name "gnome-vfs")
(version "2.24.4")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.bz2"))
(sha256
(base32
"1ajg8jb8k3snxc7rrgczlh8daxkjidmcv3zr9w809sq4p2sn9pk2"))))
(build-system gnu-build-system)
(arguments
`(#:phases
(alist-cons-before
'configure 'ignore-deprecations
(lambda _
(substitute* '("libgnomevfs/Makefile.in"
"daemon/Makefile.in")
(("-DG_DISABLE_DEPRECATED") "-DGLIB_DISABLE_DEPRECATION_WARNINGS"))
#t)
(alist-cons-before
'configure 'patch-test-async-cancel-to-never-fail
(lambda _
(substitute* "test/test-async-cancel.c"
(("EXIT_FAILURE") "77")))
%standard-phases))))
(inputs `(("libxml2" ,libxml2)
("dbus-glib" ,dbus-glib)
("gconf" ,gconf)
("gnome-mime-data" ,gnome-mime-data)
("zlib" ,zlib)))
(native-inputs
`(("glib" ,glib "bin") ; for glib-mkenums, etc.
("intltool" ,intltool)
("pkg-config" ,pkg-config)))
(home-page "https://developer.gnome.org/gnome-vfs/")
(synopsis "Access files and folders in GNOME applications")
(description
"GnomeVFS is the core library used to access files and folders in GNOME
applications. It provides a file system abstraction which allows applications
to access local and remote files with a single consistent API.")
(license license:lgpl2.0+)))
(define-public libgnome
(package
(name "libgnome")
(version "2.32.1")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.bz2"))
(sha256
(base32
"197pnq8y0knqjhm2fg4j6hbqqm3qfzfnd0irhwxpk1b4hqb3kimj"))))
(build-system gnu-build-system)
(arguments
`(#:phases
(alist-cons-before
'configure 'enable-deprecated
(lambda _
(substitute* "libgnome/Makefile.in"
(("-DG_DISABLE_DEPRECATED") "-DGLIB_DISABLE_DEPRECATION_WARNINGS")))
%standard-phases)))
(inputs `(("libxml2" ,libxml2)))
(native-inputs
`(("glib" ,glib "bin") ; for glib-mkenums, etc.
("intltool" ,intltool)
("pkg-config" ,pkg-config)))
;; The following are listed as Required in the .pc file
;; (except for libcanberra -- which seems to be oversight on the part
;; of the upstream developers -- anything that links against libgnome,
;; must also link against libcanberra
(propagated-inputs
`(("libcanberra" ,libcanberra)
("libbonobo" ,libbonobo)
("gconf" ,gconf)
("gnome-vfs" ,gnome-vfs)
("popt" ,popt))) ;gnome-program.h includes popt.h
(home-page "https://developer.gnome.org/libgnome/")
(synopsis "Useful routines for building applications")
(description "The libgnome library provides a number of useful routines
for building modern applications, including session management, activation of
files and URIs, and displaying help.")
(license license:lgpl2.0+)))
(define-public libart-lgpl
(package
(name "libart-lgpl")
(version "2.3.21")
(source (origin
(method url-fetch)
(uri (let ((upstream-name "libart_lgpl"))
(string-append "mirror://gnome/sources/" upstream-name "/"
(version-major+minor version) "/"
upstream-name "-" version ".tar.bz2")))
(sha256
(base32
"1yknfkyzgz9s616is0l9gp5aray0f2ry4dw533jgzj8gq5s1xhgx"))))
(build-system gnu-build-system)
(native-inputs
`(("pkg-config" ,pkg-config)))
(home-page "https://people.gnome.org/~mathieu/libart")
(synopsis "2D drawing library")
(description "Libart is a 2D drawing library intended as a
high-quality vector-based 2D library with antialiasing and alpha composition.")
(license license:lgpl2.0+)))
(define-public libgnomecanvas
(package
(name "libgnomecanvas")
(version "2.30.3")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.gz"))
(sha256
(base32
"1nhnq4lfkk8ljkdafscwaggx0h95mq0rxnd7zgqyq0xb6kkqbjm8"))))
(build-system gnu-build-system)
;; Mentioned as Required in the .pc file
(propagated-inputs `(("libart-lgpl" ,libart-lgpl)
("gtk+" ,gtk+-2)))
(native-inputs
`(("intltool" ,intltool)
("glib" ,glib "bin") ; for glib-genmarshal, etc.
("pkg-config" ,pkg-config)))
(home-page "https://developer.gnome.org/libgnomecanvas/")
(synopsis "Flexible widget for creating interactive structured graphics")
(description "The GnomeCanvas widget provides a flexible widget for
creating interactive structured graphics.")
(license license:lgpl2.0+)))
(define-public libgnomecanvasmm
(package
(name "libgnomecanvasmm")
(version "2.26.0")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.bz2"))
(sha256
(base32
"0679hcnpam2gkag2i63sm0wdm35gwvzafnz1354mg6j5gzwpfrcr"))))
(build-system gnu-build-system)
(arguments
'(#:configure-flags '("CXXFLAGS=-std=c++11"))) ; required by gtkmm
(propagated-inputs `(("libgnomecanvas" ,libgnomecanvas)))
(native-inputs
`(("gtkmm-2" ,gtkmm-2)
("pkg-config" ,pkg-config)))
(home-page "http://gtkmm.org")
(synopsis "C++ bindings to the GNOME Canvas library")
(description "C++ bindings to the GNOME Canvas library.")
(license license:lgpl2.0+)))
(define-public libgnomeui
(package
(name "libgnomeui")
(version "2.24.5")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.bz2"))
(sha256
(base32
"03rwbli76crkjl6gp422wrc9lqpl174k56cp9i96b7l8jlj2yddf"))))
(build-system gnu-build-system)
;; Mentioned as Required in the .pc file
(propagated-inputs `(("libbonoboui" ,libbonoboui)
("libgnome" ,libgnome)
("libgnomecanvas" ,libgnomecanvas)
("libgnome-keyring" ,libgnome-keyring)))
(inputs `(("libjpeg" ,libjpeg)
("popt" ,popt)
("libbonobo" ,libbonobo)
("libxml2" ,libxml2)
("libglade" ,libglade)))
(native-inputs
`(("glib" ,glib "bin") ; for glib-mkenums, etc.
("intltool" ,intltool)
("pkg-config" ,pkg-config)))
(home-page "https://developer.gnome.org/libgnomeui/")
(synopsis "Additional widgets for applications")
(description "The libgnomeui library provides additional widgets for
applications. Many of the widgets from libgnomeui have already been
ported to GTK+.")
(license license:lgpl2.0+)))
(define-public libglade
(package
(name "libglade")
(version "2.6.4")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.bz2"))
(sha256
(base32
"1v2x2s04jry4gpabws92i0wq2ghd47yr5n9nhgnkd7c38xv1wdk4"))))
(build-system gnu-build-system)
(inputs
`(("python" ,python))) ;; needed for the optional libglade-convert program
(propagated-inputs
`(("gtk+-2" ,gtk+-2)
("libxml2" ,libxml2))) ; required by libglade-2.0.pc
(native-inputs
`(("pkg-config" ,pkg-config)))
(home-page "https://developer.gnome.org/libglade")
(synopsis "Load glade interfaces and access the glade built widgets")
(description "Libglade is a library that provides interfaces for loading
graphical interfaces described in glade files and for accessing the
widgets built in the loading process.")
(license license:gpl2+))) ; This is correct. GPL not LGPL
(define-public libgnomeprint
;; This library has been deprecated since 2006; see
;; <https://mail.gnome.org/archives/devel-announce-list/2006-August/msg00005.html>.
(package
(name "libgnomeprint")
(version "2.8.2")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.bz2"))
(sha256
(base32
"129ka3nn8gx9dlfry17ib79azxk45wzfv5rgqzw6dwx2b5ns8phm"))))
(build-system gnu-build-system)
(inputs
`(("popt" ,popt)
("libart-lgpl" ,libart-lgpl)
("gtk+" ,gtk+-2)
("libxml2" ,libxml2)))
(native-inputs
`(("intltool" ,intltool)
("glib" ,glib "bin") ; for glib-genmarshal, etc.
("pkg-config" ,pkg-config)))
(home-page "https://projects.gnome.org/gnome-print/home/faq.html")
(synopsis "Printing framework for GNOME")
(description
"GNOME-print was a printing framework for GNOME. It has been deprecated
since ca. 2006, when GTK+ itself incorporated printing support.")
(license license:lgpl2.0+)))
(define-public libgnomeprintui
;; Deprecated; see libgnomeprint.
(package
(name "libgnomeprintui")
(version "2.8.2")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.bz2"))
(sha256
(base32
"1ivipk7r61rg90p9kp889j28xlyyj6466ypvwa4jvnrcllnaajsw"))))
(build-system gnu-build-system)
;; Mentioned as Required in the .pc file
(propagated-inputs `(("libgnomeprint" ,libgnomeprint)))
(inputs `(("gtk+" ,gtk+-2)
("glib" ,glib)
("gnome-icon-theme" ,gnome-icon-theme)
("libgnomecanvas" ,libgnomecanvas)
("libxml2" ,libxml2)))
(native-inputs
`(("intltool" ,intltool)
("pkg-config" ,pkg-config)))
(home-page "https://projects.gnome.org/gnome-print/home/faq.html")
(synopsis "Printing framework for GNOME")
(description (package-description libgnomeprint))
(license license:lgpl2.0+)))
(define-public libbonoboui
(package
(name "libbonoboui")
(version "2.24.5")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.bz2"))
(sha256
(base32
"1kbgqh7bw0fdx4f1a1aqwpff7gp5mwhbaz60c6c98bc4djng5dgs"))))
(build-system gnu-build-system)
(arguments
`(#:phases
(alist-cons-before
'check 'start-xserver
(lambda* (#:key inputs #:allow-other-keys)
(let ((xorg-server (assoc-ref inputs "xorg-server"))
(disp ":1"))
(setenv "HOME" (getcwd))
(setenv "DISPLAY" disp)
;; There must be a running X server and make check doesn't start one.
;; Therefore we must do it.
(zero? (system (format #f "~a/bin/Xvfb ~a &" xorg-server disp)))))
%standard-phases)))
;; Mentioned as Required by the .pc file
(propagated-inputs `(("libxml2" ,libxml2)))
(inputs
`(("popt" ,popt)
("pangox-compat" ,pangox-compat)
("libgnome" ,libgnome)
("libgnomecanvas" ,libgnomecanvas)
("libglade" ,libglade)))
(native-inputs
`(("glib" ,glib "bin") ; for glib-genmarshal, etc.
("intltool" ,intltool)
("xorg-server" ,xorg-server) ; For running the tests
("pkg-config" ,pkg-config)))
(home-page "https://developer.gnome.org/libbonoboui/")
(synopsis "Some user interface controls using Bonobo")
(description "The Bonobo UI library provides a number of user interface
controls using the Bonobo component framework.")
(license license:lgpl2.0+)))
(define-public libwnck
(package
(name "libwnck")
(version "3.20.1")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32 "0wms3hli6y0b9l3cszq6maqi6fyy6kss9gryvzgmhw27phb3gc0w"))))
(build-system gnu-build-system)
(native-inputs
`(("pkg-config" ,pkg-config)
("intltool" ,intltool)))
(propagated-inputs
`(("gtk+" ,gtk+)
("libxres" ,libxres)
("startup-notification" ,startup-notification)))
(home-page "https://developer.gnome.org/libwnck/")
(synopsis "Window Navigator Construction Kit")
(description
"Libwnck is the Window Navigator Construction Kit, a library for use in
writing pagers, tasklists, and more generally applications that are dealing
with window management. It tries hard to respect the Extended Window Manager
Hints specification (EWMH).")
(license license:lgpl2.0+)))
;; stable version for gtk2, required by xfwm4.
(define-public libwnck-2
(package (inherit libwnck)
(name "libwnck")
(version "2.30.7")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"15713yl0f8f3p99jzqqfmbicrdswd3vwpx7r3bkf1bgh6d9lvs4b"))))
(propagated-inputs
`(("gtk+" ,gtk+-2)
("libxres" ,libxres)
("startup-notification" ,startup-notification)))))
(define-public goffice
(package
(name "goffice")
(version "0.10.35")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32 "0f2p3p7idfpbms4mi75031014mqsv09s21b6w1359p09raph3461"))))
(build-system gnu-build-system)
(outputs '("out"
"doc")) ;4.1 MiB of gtk-doc
(arguments
'(#:configure-flags (list (string-append "--with-html-dir="
(assoc-ref %outputs "doc")
"/share/gtk-doc/html"))))
(inputs
`(("gtk+" ,gtk+)
("libgsf" ,libgsf)
("librsvg" ,librsvg)
("libxslt" ,libxslt)
("libxml2" ,libxml2)))
(native-inputs
`(("intltool" ,intltool)
("glib" ,glib "bin")
("pkg-config" ,pkg-config)))
(home-page "https://developer.gnome.org/goffice/")
(synopsis "Document-centric objects and utilities")
(description "A GLib/GTK+ set of document-centric objects and utilities.")
(license
;; Dual licensed under GPLv2 or GPLv3 (both without "or later")
;; Note: NOT LGPL
(list license:gpl2 license:gpl3))))
(define-public goffice-0.8
(package (inherit goffice)
(version "0.8.17")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" (package-name goffice) "/"
(version-major+minor version) "/"
(package-name goffice) "-" version ".tar.xz"))
(sha256
(base32 "05fvzbs5bin05bbsr4dp79aiva3lnq0a3a40zq55i13vnsz70l0n"))))
(arguments
`(#:phases
(alist-cons-after
'unpack 'fix-pcre-check
(lambda _
;; Only glib.h can be included directly. See
;; https://bugzilla.gnome.org/show_bug.cgi?id=670316
(substitute* "configure"
(("glib/gregex\\.h") "glib.h")) #t)
%standard-phases)
,@(package-arguments goffice)))
(propagated-inputs
;; libgoffice-0.8.pc mentions libgsf-1
`(("libgsf" ,libgsf)))
(inputs
`(("gtk" ,gtk+-2)
,@(alist-delete "gtk" (package-inputs goffice))))))
(define-public gnumeric
(package
(name "gnumeric")
(version "1.12.35")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"02kcq2af16m9mlzgkbdzswhw0nl6zf01dmvsfq3shy1mab7f7cbp"))))
(build-system glib-or-gtk-build-system)
(arguments
`(;; The gnumeric developers don't worry much about failing tests.
;; See https://bugzilla.gnome.org/show_bug.cgi?id=732387
#:tests? #f
#:phases
(modify-phases %standard-phases
(add-before
'configure 'pre-conf
(lambda* (#:key outputs #:allow-other-keys)
;; Make install tries to write into the directory of goffice
;; I am informed that this only affects the possibility to embed a
;; spreadsheet inside an Abiword document. So presumably when we
;; package Abiword we'll have to refer it to this directory.
(substitute* "configure"
(("^GOFFICE_PLUGINS_DIR=.*")
(string-append "GOFFICE_PLUGINS_DIR="
(assoc-ref outputs "out")
"/goffice/plugins"))))))))
(inputs
`(("glib" ,glib)
("gtk+" ,gtk+)
("goffice" ,goffice)
("libgsf" ,libgsf)
("librsvg" ,librsvg)
("libxml2" ,libxml2)
("libxslt" ,libxslt)
("python" ,python-2)
("python2-pygobject" ,python2-pygobject)
("zlib" ,zlib)))
(native-inputs
`(("bison" ,bison)
("docbook-xml" ,docbook-xml)
("intltool" ,intltool)
("itstool" ,itstool)
("glib:bin" ,glib "bin")
("pkg-config" ,pkg-config)))
(home-page "http://www.gnumeric.org")
(synopsis "Spreadsheet application")
(description
"GNUmeric is a GNU spreadsheet application, running under GNOME. It is
interoperable with other spreadsheet applications. It has a vast array of
features beyond typical spreadsheet functionality, such as support for linear
and non-linear solvers, statistical analysis, and telecommunication
engineering.")
(license
;; Dual licensed under GPLv2 or GPLv3 (both without "or later")
(list license:gpl2 license:gpl3))))
(define-public gnome-themes-standard
(package
(name "gnome-themes-standard")
(version "3.22.3")
(source
(origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/" name "-"
version ".tar.xz"))
(sha256
(base32
"0smmiamrgcgf5sa88bsn8hwmvsyx4gczzs359nwxbkv14b2qgp31"))))
(build-system gnu-build-system)
(arguments
'(#:configure-flags
;; Don't create 'icon-theme.cache'.
(let* ((coreutils (assoc-ref %build-inputs "coreutils"))
(true (string-append coreutils "/bin/true")))
(list (string-append "GTK_UPDATE_ICON_CACHE=" true)))))
(inputs
`(("gtk+" ,gtk+)
("gtk+-2" ,gtk+-2)
("librsvg" ,librsvg)
("libxml2" ,libxml2)
("glib" ,glib)))
(native-inputs
`(("intltool" ,intltool)
("glib:bin" ,glib "bin")
("pkg-config" ,pkg-config)))
(home-page "https://launchpad.net/gnome-themes-standard")
(synopsis "Default GNOME 3 themes")
(description
"The default GNOME 3 themes (Adwaita and some accessibility themes).")
(license license:lgpl2.1+)))
(define-public seahorse
(package
(name "seahorse")
(version "3.20.0")
(source
(origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/" name "-"
version ".tar.xz"))
(sha256
(base32
"1py6fj19kb8aaxvg6yrpd0876azc2zjvis98aqz37a2lxmhp9c72"))))
(build-system glib-or-gtk-build-system)
(inputs
`(("gtk+" ,gtk+)
("gcr" ,gcr)
("gnupg" ,gnupg)
("gpgme" ,gpgme)
("openldap" ,openldap)
("openssh" ,openssh)
("libsecret" ,libsecret)
("libsoup" ,libsoup)))
(native-inputs
`(("intltool" ,intltool)
("glib:bin" ,glib "bin")
("itstool" ,itstool)
("pkg-config" ,pkg-config)
("xmllint" ,libxml2)))
(home-page "https://launchpad.net/gnome-themes-standard")
(synopsis "Manage encryption keys and passwords in the GNOME keyring")
(description
"Seahorse is a GNOME application for managing encryption keys and
passwords in the GNOME keyring.")
(license license:gpl2+)))
(define-public vala
(package
(name "vala")
(version "0.36.3")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"0706izk9prxqclm7gv4f63diwnlc1llvfl5sc9ghqbgn076lx2mc"))))
(build-system gnu-build-system)
(arguments
'(#:phases
(modify-phases %standard-phases
(add-before 'check 'pre-check
(lambda _
(setenv "CC" "gcc")
;; For missing '/etc/machine-id'.
(setenv "DBUS_FATAL_WARNINGS" "0")
#t)))
;; Build the Vala API generator
#:configure-flags '("--enable-vapigen")))
(native-inputs
`(("pkg-config" ,pkg-config)
("flex" ,flex)
("bison" ,bison)
("xsltproc" ,libxslt)
("dbus" ,dbus) ; for dbus tests
("gobject-introspection" ,gobject-introspection))) ; for gir tests
(propagated-inputs
`(("glib" ,glib))) ; required by libvala-0.26.pc
(home-page "https://live.gnome.org/Vala/")
(synopsis "Compiler for the GObject type system")
(description
"Vala is a programming language that aims to bring modern programming
language features to GNOME developers without imposing any additional runtime
requirements and without using a different ABI compared to applications and
libraries written in C.")
(license license:lgpl2.1+)))
(define-public vte
(package
(name "vte")
(version "0.48.3")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"1hsqc7238862mqnva5qqdfxnhpwq3ak6zx6kbjj95cs04wcgpad3"))))
(build-system gnu-build-system)
(native-inputs
`(("pkg-config" ,pkg-config)
("intltool" ,intltool)
("vala" ,vala)
("gobject-introspection" ,gobject-introspection)
("glib" ,glib "bin") ; for glib-genmarshal, etc.
("gperf" ,gperf)
("xmllint" ,libxml2)))
(propagated-inputs
`(("gtk+" ,gtk+) ;required by vte-2.91.pc
("gnutls" ,gnutls) ;ditto
("pcre2" ,pcre2))) ;ditto
(home-page "https://www.gnome.org/")
(synopsis "Virtual Terminal Emulator")
(description
"VTE is a library (libvte) implementing a terminal emulator widget for
GTK+, and a minimal sample application (vte) using that. Vte is mainly used in
gnome-terminal, but can also be used to embed a console/terminal in games,
editors, IDEs, etc.")
(license license:lgpl2.1+)))
(define-public vte-ng
(package
(inherit vte)
(name "vte-ng")
(version "0.48.3.a")
(native-inputs
`(("gtk-doc" ,gtk-doc)
("gperf" ,gperf)
("autoconf" ,autoconf)
("automake" ,automake)
("libtool" ,libtool)
,@(package-native-inputs vte)))
(source (origin
(method url-fetch)
(uri (string-append "https://github.com/thestinger/"
name "/archive/" version ".tar.gz"))
(file-name (string-append name "-" version ".tar.gz"))
(sha256
(base32
"1wdkf090zclqy11hxdjgy8f6fgzajl0xzzirajikhbaiill7f8zh"))))
(arguments
`(#:configure-flags '("CXXFLAGS=-Wformat=0")
#:phases (modify-phases %standard-phases
(add-after 'unpack 'bootstrap
(lambda _
(setenv "NOCONFIGURE" "true")
(zero? (system* "sh" "autogen.sh")))))))
(synopsis "Enhanced VTE terminal widget")
(description
"VTE is a library (libvte) implementing a terminal emulator widget for
GTK+, this fork provides additional functions exposed for keyboard text
selection and URL hints.")))
;; provides vte 2.90, required for some terminal emulators
;; tilda bug: https://github.com/lanoxx/tilda/issues/94
;; pantheon-terminal bug: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=788021
;; roxterm bug: http://sourceforge.net/p/roxterm/bugs/107/
;; pantheon-terminal, roxterm are not currently packaged
(define-public vte-0.36
(package (inherit vte)
(name "vte")
(version "0.36.5")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"1psfnqsmxx4qzc55qwvb8jai824ix4pqcdqhgxk0g2zh82bcxhn2"))))
(propagated-inputs
`(("gtk" ,gtk+)
("ncurses" ,ncurses)))))
;; stable version for gtk2, required by xfce4-terminal.
(define-public vte/gtk+-2
(package (inherit vte)
(name "vte")
(version "0.28.2")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"1bmhahkf8wdsra9whd3k5l5z4rv7r58ksr8mshzajgq2ma0hpkw6"))
(patches (search-patches
"vte-CVE-2012-2738-pt1.patch"
"vte-CVE-2012-2738-pt2.patch"))))
(arguments
'(#:configure-flags '("--disable-python")))
(native-inputs
`(("pkg-config" ,pkg-config)
("intltool" ,intltool)
("glib" ,glib "bin"))) ; for glib-genmarshal, etc.
(propagated-inputs
`(("gtk+" ,gtk+-2) ; required by libvte.pc
("ncurses" ,ncurses))))) ; required by libvte.la
(define-public vinagre
(package
(name "vinagre")
(version "3.22.0")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(patches ; We have to revert 2 commits to build against freerdp 1.1.
(search-patches "vinagre-revert-1.patch"
"vinagre-revert-2.patch"))
(sha256
(base32
"10jya3jyrm18nbw3v410gbkc7677bqamax44pzgd3j15randn76d"))))
(build-system glib-or-gtk-build-system)
(native-inputs
`(("pkg-config" ,pkg-config)
("intltool" ,intltool)
("itstool" ,itstool)
("glib-bin" ,glib "bin") ;for glib-compile-schemas
("gtk+-bin" ,gtk+ "bin"))) ;for gtk-update-icon-cache
(inputs
`(("libxml2" ,libxml2)
("gtk-vnc" ,gtk-vnc)
("gnome-keyring" ,gnome-keyring)
("libsecret" ,libsecret)
("freerdp" ,freerdp)
("spice" ,spice)
("spice-gtk" ,spice-gtk)
("telepathy-glib" ,telepathy-glib)
("vte" ,vte)))
(arguments
`(#:configure-flags '("--enable-rdp")))
(home-page "https://wiki.gnome.org/Apps/Vinagre")
(synopsis "Remote desktop viewer for GNOME")
(description "Vinagre is a remote display client supporting the VNC, SPICE
and RDP protocols.")
(license license:gpl3+)))
(define-public dconf
(package
(name "dconf")
(version "0.26.0")
(source (origin
(method url-fetch)
(uri (string-append
"mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"1jaqsr1r0grpd25rbsc2v3vb0sc51lia9w31wlqswgqsncp2k0w6"))))
(build-system glib-or-gtk-build-system)
(inputs
`(("gtk+" ,gtk+)
("glib" ,glib)
("dbus" ,dbus)
("libxml2" ,libxml2)))
(native-inputs
`(("libxslt" ,libxslt)
("docbook-xml" ,docbook-xml-4.2)
("docbook-xsl" ,docbook-xsl)
("intltool" ,intltool)
("pkg-config" ,pkg-config)))
(arguments
`(#:tests? #f ; To contact dbus it needs to load /var/lib/dbus/machine-id
; or /etc/machine-id.
#:configure-flags
;; Set the correct RUNPATH in binaries.
(list (string-append "LDFLAGS=-Wl,-rpath="
(assoc-ref %outputs "out") "/lib")
"--disable-gtk-doc-html") ; FIXME: requires gtk-doc
#:phases
(alist-cons-before
'configure 'fix-docbook
(lambda* (#:key inputs #:allow-other-keys)
(substitute* "docs/Makefile.in"
(("http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl")
(string-append (assoc-ref inputs "docbook-xsl")
"/xml/xsl/docbook-xsl-"
,(package-version docbook-xsl)
"/manpages/docbook.xsl")))
(setenv "XML_CATALOG_FILES"
(string-append (assoc-ref inputs "docbook-xml")
"/xml/dtd/docbook/catalog.xml")))
%standard-phases)))
(home-page "https://developer.gnome.org/dconf")
(synopsis "Low-level GNOME configuration system")
(description "Dconf is a low-level configuration system. Its main purpose
is to provide a backend to GSettings on platforms that don't already have
configuration storage systems.")
(license license:lgpl2.1)))
(define-public json-glib
(package
(name "json-glib")
(version "1.2.8")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"02pl0wl3mf47c038bgv2r4pa6pr6y3shjhxn1l7s3rrrgl1sjmgx"))))
(build-system gnu-build-system)
(native-inputs
`(("glib" ,glib "bin") ;for glib-mkenums and glib-genmarshal
("gobject-introspection" ,gobject-introspection)
("pkg-config" ,pkg-config)))
(propagated-inputs
`(("glib" ,glib))) ;according to json-glib-1.0.pc
(home-page "https://wiki.gnome.org/Projects/JsonGlib")
(synopsis "Compiler for the GObject type system")
(description
"JSON-GLib is a C library based on GLib providing serialization and
deserialization support for the JavaScript Object Notation (JSON) format
described by RFC 4627. It provides parser and generator GObject classes and
various wrappers for the complex data types employed by JSON, such as arrays
and objects.")
(license license:lgpl2.1+)))
(define-public libxklavier
(package
(name "libxklavier")
(version "5.3")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
version "/" name "-" version ".tar.xz"))
(sha256
(base32
"016lpdv35z0qsw1cprdc2k5qzkdi5waj6qmr0a2q6ljn9g2kpv7b"))))
(build-system gnu-build-system)
(arguments
'(#:configure-flags
(list (string-append "--with-xkb-base="
(assoc-ref %build-inputs "xkeyboard-config")
"/share/X11/xkb"))))
(native-inputs
`(("glib:bin" ,glib "bin") ; for glib-mkenums, etc.
("gobject-introspection" ,gobject-introspection)
("pkg-config" ,pkg-config)))
(propagated-inputs
;; Required by libxklavier.pc.
`(("glib" ,glib)
("libxml2" ,libxml2)))
(inputs
`(("iso-codes" ,iso-codes)
("libxi" ,libxi)
("libxkbfile" ,libxkbfile)
("xkbcomp" ,xkbcomp)
("xkeyboard-config" ,xkeyboard-config)))
(home-page "http://www.freedesktop.org/wiki/Software/LibXklavier/")
(synopsis "High-level API for X Keyboard Extension")
(description
"LibXklavier is a library providing high-level API for X Keyboard
Extension known as XKB. This library is intended to support XFree86 and other
commercial X servers. It is useful for creating XKB-related software (layout
indicators etc).")
(license license:lgpl2.0+)))
(define-public python2-rsvg
;; XXX: This is actually a subset of gnome-python-desktop.
(package
(name "python2-rsvg")
(version "2.32.0")
(source
(origin
(method url-fetch)
(uri (string-append
"mirror://gnome/sources/gnome-python-desktop/2.32/gnome-python-desktop-"
version ".tar.bz2"))
(sha256
(base32
"1s8f9rns9v7qlwjv9qh9lr8crp88dpzfm45hj47zc3ivpy0dbnq9"))))
(build-system gnu-build-system)
(native-inputs
`(("pkg-config" ,pkg-config)))
(inputs
`(("python" ,python-2)
("python2-pygtk" ,python2-pygtk)
("librsvg" ,librsvg)))
(home-page "https://www.gnome.org")
(synopsis "Python bindings to librsvg")
(description
"This packages provides Python bindings to librsvg, the SVG rendering
library.")
;; This is the license of the rsvg bindings. The license of each module
;; of gnome-python-desktop is given in 'COPYING'.
(license license:lgpl2.1+)))
(define-public glib-networking
(package
(name "glib-networking")
(version "2.50.0")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/glib-networking/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"1vkb53jxawy38y29635izlch64j9xmcwwcimk134jwra7hpl86iz"))
(patches
(search-patches "glib-networking-ssl-cert-file.patch"))))
(build-system gnu-build-system)
(arguments
`(#:configure-flags
'("--with-ca-certificates=/etc/ssl/certs/ca-certificates.crt")
#:phases
(modify-phases %standard-phases
(add-before 'configure 'patch-giomoduledir
;; Install GIO modules into $out/lib/gio/modules.
(lambda _
(substitute* "configure"
(("GIO_MODULE_DIR=.*")
(string-append "GIO_MODULE_DIR=" %output
"/lib/gio/modules\n")))))
(add-before 'check 'use-empty-ssl-cert-file
(lambda _
;; The ca-certificates.crt is not available in the build
;; environment.
(setenv "SSL_CERT_FILE" "/dev/null")
#t)))))
(native-inputs
`(("pkg-config" ,pkg-config)
("intltool" ,intltool)))
(inputs
`(("glib" ,glib)
("gnutls" ,gnutls)
("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
("p11-kit" ,p11-kit)))
(home-page "https://www.gnome.org")
(synopsis "Network-related GIO modules")
(description
"This package contains various network related extensions for the GIO
library.")
(license license:lgpl2.0+)))
(define-public rest
(package
(name "rest")
(version "0.8.0")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/rest/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"0iznvzhab1jq9z3nwy97dh2pid9azwkqm7kkxwx0f5ql1hh9pf77"))))
(build-system gnu-build-system)
(arguments
'(#:tests? #f ; tests require internet connection
#:configure-flags
'("--with-ca-certificates=/etc/ssl/certs/ca-certificates.crt")))
(native-inputs
`(("glib-mkenums" ,glib "bin")
("gobject-introspection" ,gobject-introspection)
("pkg-config" ,pkg-config)))
(propagated-inputs
;; rest-0.7.pc refers to all these.
`(("glib" ,glib)
("libsoup" ,libsoup)
("libxml2" ,libxml2)))
(home-page "http://www.gtk.org/")
(synopsis "RESTful web api query library")
(description
"This library was designed to make it easier to access web services that
claim to be \"RESTful\". It includes convenience wrappers for libsoup and
libxml to ease remote use of the RESTful API.")
(license license:lgpl2.1+)))
(define-public libsoup
(package
(name "libsoup")
(version "2.58.2")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/libsoup/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"0wkvs4kql1iam4cqy17wsi12b1pzhwr2127pyaxs7y0v3g5008s4"))))
(build-system gnu-build-system)
(outputs '("out" "doc"))
(arguments
`(#:modules ((guix build utils)
(guix build gnu-build-system)
(ice-9 popen))
#:configure-flags
(list (string-append "--with-html-dir="
(assoc-ref %outputs "doc")
"/share/gtk-doc/html")
(string-append "--with-apache-module-dir="
(assoc-ref %build-inputs "httpd")
"/modules"))
#:phases
(modify-phases %standard-phases
(add-before 'configure 'disable-unconnected-socket-test
;; This test fails due to missing /etc/nsswitch.conf
;; in the build environment.
(lambda _
(substitute* "tests/socket-test.c"
((".*/sockets/unconnected.*") ""))
#t))
(add-before 'check 'pre-check
(lambda _
;; The 'check-local' target runs 'env LANG=C sort -u',
;; unset 'LC_ALL' to make 'LANG' working.
(unsetenv "LC_ALL")
;; The ca-certificates.crt is not available in the build
;; environment.
(setenv "SSL_CERT_FILE" "/dev/null")
;; HTTPD in Guix uses mod_event and does not build prefork.
(substitute* "tests/httpd.conf"
(("^LoadModule mpm_prefork_module.*$") "\n"))
;; Generate a self-signed certificate that has "localhost" as its
;; 'dnsName'. Failing to do that, and starting with GnuTLS
;; 3.5.12, tests such as "ssl-tests" fail:
;;
;; ERROR:ssl-test.c:406:do_tls_interaction_test: Unexpected status 6 Unacceptable TLS certificate (expected 200 OK)
;;
;; 'certtool' is interactive so we have to pipe it the answers.
;; Reported at <https://bugzilla.gnome.org/show_bug.cgi?id=784696>.
(let ((pipe (open-output-pipe "certtool --generate-self-signed \
--load-privkey tests/test-key.pem --outfile tests/test-cert.pem")))
(for-each (lambda (line)
(display line pipe)
(newline pipe))
'("" ;Common name
"" ;UID
"Guix" ;Organizational unit name
"GNU" ;Organization name
"" ;Locality name
"" ;State or province
"" ;Country
"" ;subject's domain component (DC)
"" ;E-mail
"" ;serial number
"-1" ;expiration time
"N" ;belong to authority?
"N" ;web client certificate?
"N" ;IPsec IKE?
"Y" ;web server certificate?
"localhost" ;dnsName of subject
"" ;dnsName of subject (end)
"" ;URI of subject
"127.0.0.1" ;IP address of subject
"" ;signing?
"" ;encryption?
"" ;sign OCSP requests?
"" ;sign code?
"" ;time stamping?
"" ;email protection?
"" ;URI of the CRL distribution point
"y" ;above info OK?
))
(close-pipe pipe))
#t))
(replace 'install
(lambda _
(zero?
(system* "make"
;; Install vala bindings into $out.
(string-append "vapidir=" %output
"/share/vala/vapi")
"install")))))))
(native-inputs
`(("glib:bin" ,glib "bin") ; for glib-mkenums
("gobject-introspection" ,gobject-introspection)
("intltool" ,intltool)
("pkg-config" ,pkg-config)
("python" ,python-wrapper)
("vala" ,vala)
;; These are needed for the tests.
;; FIXME: Add PHP once available.
("curl" ,curl)
("gnutls" ,gnutls) ;for 'certtool'
("httpd" ,httpd)))
(propagated-inputs
;; libsoup-2.4.pc refers to all these.
`(("glib" ,glib)
("libxml2" ,libxml2)))
(inputs
`(("glib-networking" ,glib-networking)
("sqlite" ,sqlite)))
(home-page "https://live.gnome.org/LibSoup/")
(synopsis "GLib-based HTTP Library")
(description
"LibSoup is an HTTP client/server library for GNOME. It uses GObjects
and the GLib main loop, to integrate well with GNOME applications.")
(license license:lgpl2.0+)))
(define-public libsecret
(package
(name "libsecret")
(version "0.18.5")
(source (origin
(method url-fetch)
(uri (string-append
"mirror://gnome/sources/libsecret/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"1cychxc3ff8fp857iikw0n2s13s2mhw2dn1mr632f7w3sn6vvrww"))))
(build-system gnu-build-system)
(outputs '("out" "doc"))
(arguments
`(#:tests? #f ; FIXME: Testing hangs.
#:configure-flags
(list (string-append "--with-html-dir="
(assoc-ref %outputs "doc")
"/share/gtk-doc/html"))))
(native-inputs
`(("glib:bin" ,glib "bin") ; for gdbus-codegen, etc.
("gobject-introspection" ,gobject-introspection)
("intltool" ,intltool)
("pkg-config" ,pkg-config)
("vala" ,vala)
("xsltproc" ,libxslt)))
;; These are needed for the tests.
;; FIXME: Add gjs once available.
;("dbus" ,dbus)
;("python2" ,python-2)
;("python2-dbus" ,python2-dbus)
;("python2-pygobject" ,python2-pygobject)
;("python2-pygobject-2" ,python2-pygobject-2)))
(propagated-inputs
`(("glib" ,glib))) ; required by libsecret-1.pc
(inputs
`(("docbook-xsl" ,docbook-xsl)
("libgcrypt" ,libgcrypt)
("libxml2" ,libxml2))) ; for XML_CATALOG_FILES
(home-page "https://wiki.gnome.org/Projects/Libsecret/")
(synopsis "GObject bindings for \"Secret Service\" API")
(description
"Libsecret is a GObject based library for storing and retrieving passwords
and other secrets. It communicates with the \"Secret Service\" using DBus.")
(license license:lgpl2.1+)))
(define-public five-or-more
(package
(name "five-or-more")
(version "3.22.2")
(source
(origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"1b26afyjr26wqy5j008gzsi3hpblbmabh0192lx6414lml1qxkxs"))))
(build-system glib-or-gtk-build-system)
(native-inputs
`(("pkg-config" ,pkg-config)
("desktop-file-utils" ,desktop-file-utils)
("intltool" ,intltool)
("itstool" ,itstool)
("xmllint" ,libxml2)))
(inputs
`(("gtk+" ,gtk+)
("librsvg" ,librsvg)))
(home-page "https://wiki.gnome.org/Apps/Five%20or%20more")
(synopsis "Logic puzzle game")
(description "Five or More is a game where you try to align
five or more objects of the same color and shape causing them to disappear.
On every turn more objects will appear, until the board is full.
Try to last as long as possible.")
(license license:gpl2+)))
(define-public gnome-mines
(package
(name "gnome-mines")
(version "3.24.0")
(source
(origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"1xh2as2xmh7gx45gpnl0fh9xjpvyyn3m84qgv41kyp2s4clsyqz6"))))
(build-system glib-or-gtk-build-system)
(arguments
'(#:phases
(modify-phases %standard-phases
(add-before 'configure 'patch-/bin/true
(lambda _
(substitute* "configure"
(("/bin/true") (which "true"))))))))
(native-inputs
`(("pkg-config" ,pkg-config)
("desktop-file-utils" ,desktop-file-utils)
("intltool" ,intltool)
("itstool" ,itstool)
("xmllint" ,libxml2)))
(inputs
`(("gtk+" ,gtk+)
("libgnome-games-support" ,libgnome-games-support)
("librsvg" ,librsvg)))
(home-page "https://wiki.gnome.org/Apps/Mines")
(synopsis "Minesweeper game")
(description
"Mines (previously gnomine) is a puzzle game where you locate mines
floating in an ocean using only your brain and a little bit of luck.")
(license license:gpl2+)))
(define-public gnome-sudoku
(package
(name "gnome-sudoku")
(version "3.24.0")
(source
(origin
(method url-fetch)
(uri (string-append "mirror://gnome/sources/" name "/"
(version-major+minor version) "/"
name "-" version ".tar.xz"))
(sha256
(base32
"1mw5ykk7wr0r9770jj5270f07rjws0pmpjs0b1fywj4li13r98h4"))))
(build-system glib-or-gtk-build-system)
(native-inputs
`(("pkg-config" ,pkg-config)
("desktop-file-utils" ,desktop-file-utils)
("intltool" ,intltool)
("itstool" ,itstool)
("xmllint" ,libxml2)))
(inputs
`(("gtk+" ,gtk+)
("json-glib" ,json-glib)
("libgee" ,libgee)
("librsvg" ,librsvg)
("qqwing" ,qqwing)))
(home-page "https://wiki.gnome.org/Apps/Sudoku")
(synopsis "Japanese logic game")
(description
"Sudoku is a Japanese logic game that exploded in popularity in 2005.